//
//  NSLog_Rewrite.c
//  用于屏蔽 Portal 的日志
//
//  Created by Ethan <sen.wangs@alipay.com> on 14-10-16.
//  Copyright (c) 2014年 Alipay. All rights reserved.
//

#include "stdio.h"

// release模式先强制把log关闭
#ifndef DEBUG
#define HIDE_ON_RELEASE 1
#endif

#if HIDE_ON_RELEASE
void NSLogv (NSString *format, va_list args) { }
int printf (const char *format, ...) { return 0; }
#endif

static void _NSLog(id NIL, ...)
{
    va_list args;
    va_start(args, NIL);
    NSLogv(@"%@", args);
    va_end(args);
}

void NSLog (NSString *format, ...)
{
#if HIDE_ON_RELEASE
    // EMPTY REWRITE
#else
    va_list args;
    va_start(args, format);
    NSString *logString = [[NSString alloc] initWithFormat:format arguments:args];
    va_end(args);
    _NSLog(nil, logString);
#endif
}
